//
//  CellWithTextField.m
//  RapidEngineDemo
//
//  Created by fred yu on 8/26/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "CellWithTextField.h"


@implementation CellWithTextField
@synthesize lbl,txt;
- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier {
    if (self = [super initWithStyle:style reuseIdentifier:reuseIdentifier]) {
        // Initialization code
		self.selectionStyle = UITableViewCellSelectionStyleNone; 
		
		self.lbl = [[UILabel alloc] initWithFrame:CGRectZero];
		[self.contentView addSubview:self.lbl];
		[self.lbl release];
		
		self.txt = [[UITextField alloc] initWithFrame:CGRectZero];
		self.txt.contentVerticalAlignment = UIControlContentVerticalAlignmentCenter;
		[self.contentView addSubview:self.txt];
		[self.txt release];
		
    }
    return self;
}

-(void)layoutSubviews{
	[super layoutSubviews];
	float inset = 5.0;
	CGRect bounds = [[self contentView] bounds];
	float h = bounds.size.height; 
	float w = bounds.size.width; 
	CGSize label_text_size = [self.lbl.text sizeWithFont:self.lbl.font];
	float labelWidth = label_text_size.width;
	
	
	
	CGRect innerFrame = CGRectMake(inset, inset, labelWidth, h-inset*2);
	[lbl setFrame:innerFrame];
	
	innerFrame.origin.x += innerFrame.size.width+inset;
	innerFrame.size.width = w - (labelWidth+inset*3);
	[txt setFrame:innerFrame];
}


- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
	
    [super setSelected:selected animated:animated];
	
    // Configure the view for the selected state
}


- (void)dealloc {
    
	[lbl release];
	[txt release];
	[super dealloc];
}


@end